Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.suggestion
Class EPPSuggestionRecord

    java.lang.Object
      com.verisign.epp.codec.suggestion.EPPSuggestionRecord

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPSuggestionRecord

extends java.lang.Object
implements EPPCodecComponent

A Record associates a domain label with Cell objects to be returned in a Grid. Each Cell represents a Top Level Domain and associated scores. Taken together, a Record associates a Domain label with various TLDs and scores.

Author:
  jcolosi
See Also:
  Serialized Form

Constructor Summary
`EPPSuggestionRecord()` Constructor.
`EPPSuggestionRecord(org.w3c.dom.Element aElement)` Constructor.
`EPPSuggestionRecord(java.lang.String aName)` Constructor.
`EPPSuggestionRecord(java.lang.String aName, java.lang.String aSource, java.lang.String aMoreLikeThis, java.lang.Integer aPpcValue)` Constructor.
`EPPSuggestionRecord(java.lang.String aName, java.lang.String aSource, java.lang.String aMoreLikeThis, java.lang.Integer aPpcValue, java.lang.String aUName)` Constructor.

Method Summary
`void` | `addCell(EPPSuggestionCell aCell)` Add a cell.
`java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
`void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
`boolean` | `equals(java.lang.Object o)`
`java.util.List<EPPSuggestionCell>` | `getCells()` Cells getter.
`java.lang.String` | `getMoreLikeThis()` More like this getter.
`java.lang.String` | `getName()` Ascii name getter.
`java.lang.Integer` | `getPpcValue()` Ppc Value getter.
`java.lang.String` | `getSource()` Source getter.
`java.lang.String` | `getUName()` Unicode name getter.
`boolean` | `isSetMoreLikeThis()` Is more like this value set.
`boolean` | `isSetSource()` Is source value set.
`boolean` | `isSetUName()` Is uName value set.
`void` | `resetCells()` Reset cells.
`void` | `setMoreLikeThis(java.lang.String aMoreLikeThis)` More like this setter.
`void` | `setName(java.lang.String aName)` Ascii name setter.
`void` | `setPpcValue(int aPpcValue)` Ppc value setter.
`void` | `setPpcValue(java.lang.Integer aPpcValue)` Ppc value setter.
`void` | `setPpcValue(java.lang.String aPpcValue)` Ppc value setter.
`void` | `setSource(java.lang.String aSource)` Source setter.
`void` | `setUName(java.lang.String aUName)` Unicode name setter.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPSuggestionRecord

    public EPPSuggestionRecord()

  Constructor.

### EPPSuggestionRecord

    public EPPSuggestionRecord(org.w3c.dom.Element aElement)
                        throws EPPDecodeException

  Constructor.

  Parameters:
    `aElement` - a dom element.
  Throws:
    `EPPDecodeException`

### EPPSuggestionRecord

    public EPPSuggestionRecord(java.lang.String aName)

  Constructor.

  Parameters:
    `aName` - a name

### EPPSuggestionRecord

    public EPPSuggestionRecord(java.lang.String aName,
                               java.lang.String aSource,
                               java.lang.String aMoreLikeThis,
                               java.lang.Integer aPpcValue)

  Constructor.

  Parameters:
    `aName` - a name
    `aSource` - a source
    `aMoreLikeThis` - a more like this
    `aPpcValue` - a ppc value

### EPPSuggestionRecord

    public EPPSuggestionRecord(java.lang.String aName,
                               java.lang.String aSource,
                               java.lang.String aMoreLikeThis,
                               java.lang.Integer aPpcValue,
                               java.lang.String aUName)

  Constructor.

  Parameters:
    `aName` - a name
    `aSource` - a source
    `aMoreLikeThis` - a more like this
    `aPpcValue` - a ppc value
    `aUName` - a unicode name

Method Detail

### addCell

    public void addCell(EPPSuggestionCell aCell)
                 throws InvalidValueException

  Add a cell.

  Parameters:
    `aCell` - a cell
  Throws:
    `InvalidValueException`

### getCells

    public java.util.List<EPPSuggestionCell> getCells()

  Cells getter.

  Returns:
    cells.

### getMoreLikeThis

    public java.lang.String getMoreLikeThis()

  More like this getter.

  Returns:
    more like this

### getUName

    public java.lang.String getUName()

  Unicode name getter.

  Returns:
    unicode name.

### getName

    public java.lang.String getName()

  Ascii name getter.

  Returns:
    a ascii name

### getPpcValue

    public java.lang.Integer getPpcValue()

  Ppc Value getter.

  Returns:
    a ppc value

### getSource

    public java.lang.String getSource()

  Source getter.

  Returns:
    a source

### isSetMoreLikeThis

    public boolean isSetMoreLikeThis()

  Is more like this value set.

  Returns:
    true if it is set

### isSetUName

    public boolean isSetUName()

  Is uName value set.

  Returns:
    true if it is set

### isSetSource

    public boolean isSetSource()

  Is source value set.

  Returns:
    true if it is set

### resetCells

    public void resetCells()

  Reset cells.

### setMoreLikeThis

    public void setMoreLikeThis(java.lang.String aMoreLikeThis)

  More like this setter.

  Parameters:
    `aMoreLikeThis` - more like this flag

### setUName

    public void setUName(java.lang.String aUName)

  Unicode name setter.

  Parameters:
    `aUName` - a unicode name

### setName

    public void setName(java.lang.String aName)

  Ascii name setter.

  Parameters:
    `aName` - a ascii name

### setPpcValue

    public void setPpcValue(int aPpcValue)

  Ppc value setter.

  Parameters:
    `aPpcValue` - a ppc value

### setPpcValue

    public void setPpcValue(java.lang.Integer aPpcValue)

  Ppc value setter.

  Parameters:
    `aPpcValue` - a ppc value

### setPpcValue

    public void setPpcValue(java.lang.String aPpcValue)

  Ppc value setter.

  Parameters:
    `aPpcValue` - a ppc value as string

### setSource

    public void setSource(java.lang.String aSource)

  Source setter.

  Parameters:
    `aSource` - a source

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Description copied from interface: `EPPCodecComponent`
  clone an `EPPCodecComponent`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPCodecComponent`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Description copied from interface: `EPPCodecComponent`
  decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
  For example, the <command> element of `EPPCommand` is passed into `decode` of EPPCommand to be decoded and used to set the instance attributes.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - root DOM element associated with instance
  Throws:
    `EPPDecodeException` - Error decoding the DOM element tree.

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Description copied from interface: `EPPCodecComponent`
  encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
  For example, the <command> element of `EPPCommand` is created and is used to append the attribute nodes of `EPPCommand`.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM document used as a factory of DOM objects.
  Returns:
    instance root DOM element along with attribute child nodes.
  Throws:
    `EPPEncodeException` - Error encoding the DOM element tree.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.